ranged_probe_fn.hpp File Reference

Go to the source code of this file.

## Classes

class | __gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, false >
class | __gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, true >
class | __gnu_pbds::detail::ranged_probe_fn< Key, null_type, _Alloc, Comb_Probe_Fn, null_type, false >

## Namespaces

namespace | __gnu_pbds

## Macros

#define | PB_DS_CLASS_C_DEC
#define | PB_DS_CLASS_C_DEC
#define | PB_DS_CLASS_T_DEC
#define | PB_DS_CLASS_T_DEC

## Detailed Description

Contains a unified ranged probe functor, allowing the probe tables to deal with a single class for ranged probeing.

Definition in file ranged_probe_fn.hpp.

## Macro Definition Documentation

## PB_DS_CLASS_C_DEC [1/2]

#define PB_DS_CLASS_C_DEC

Definition at line 110 of file unordered_iterator/const_iterator.hpp.

## PB_DS_CLASS_C_DEC [2/2]

#define PB_DS_CLASS_C_DEC

Definition at line 110 of file unordered_iterator/const_iterator.hpp.

## PB_DS_CLASS_T_DEC [1/2]

#define PB_DS_CLASS_T_DEC

Definition at line 57 of file ranged_probe_fn.hpp.

## PB_DS_CLASS_T_DEC [2/2]

#define PB_DS_CLASS_T_DEC

Definition at line 57 of file ranged_probe_fn.hpp.